
#ifndef _PARAMETERS_H_
#define _PARAMETERS_H_

class cParameters
{
private:
  bool m_grid,
       m_legend;
  char m_functions;

  unsigned int m_values,   // values count
               m_polling,  // polling interval
               m_pi_unit,  // polling interval unit
	       m_d_mode;   // display mode
  

public:
  cParameters();  
  ~cParameters();
  
  bool legend();
  bool grid();
  char functions();
  unsigned int polling();
  unsigned int pi_unit();
  unsigned int d_mode();
  
  void set_legend(bool legend);
  void set_grid(bool grid);
  void set_functions(char functions);
  void set_polling(unsigned int pi);
  void set_pi_unit(unsigned int pu);
  void set_d_mode(unsigned int mode);
};

#endif
